<template>
  <div id="home" class="flex justify-center">
    <div class="container">
      <!-- section one for home page
           this section sho wthe feature home
      -->
      <div class="section section-one flex flex-col justify-center mt-20">
        <!-- badge -->
        <div class="flex justify-center">
          <span class="badge bg-gray-100 text-dive-blue" data-aos="slide-right"
            >Digital Dream Solutions</span
          >
        </div>

        <div class="flex justify-center">
          <h3
            class="text-2xl lg:text-6xl font-poppins font-bold mt-8 text-center lg:w-8/12 leading-snug"
            data-aos="fade-down"
            data-aos-delay="200"
          >
            Build Your Own Dream With
            <span class="text-dive-blue">Creative</span>
            Team Builder
          </h3>
        </div>

        <div class="flex justify-center mt-6">
          <p
            class="text w-96 text-center text-gray-500"
            data-aos="fade-down"
            data-aos-delay="400"
          >
            We, re profesional builder help to build your own dream become true.
            Solve people problem are our mission
          </p>
        </div>

        <!-- action button -->
        <div class="flex justify-center space-x-4 mt-6">
          <div class="anima" data-aos="slide-right" data-aos-delay="800">
            <button
              class="btn bg-dive-blue text-white transition-all duration-500 hover:transform hover:-translate-y-4"
            >
              Get Started
            </button>
          </div>
          <div class="anima" data-aos="slide-left" data-aos-delay="900">
            <button
              class="btn text-white bg-extreme-red transition-all duration-500 hover:transform hover:-translate-y-4"
            >
              How its work
            </button>
          </div>
        </div>

        <!-- illustration -->
        <div class="flex justify-center mt-6">
          <img
            src="~/assets/images/illustration-feature.svg"
            alt=""
            data-aos="fade"
            data-aos-duration="1200"
          />
        </div>
      </div>

      <!-- Section two
           in this section for benefit and 
           advantages
       -->

      <div class="section section-two flex flex-col justify-center mt-20">
        <!-- sub heading -->
        <div class="flex justify-center">
          <h3
            class="font-bold text-2xl lg:text-4xl lg:w-7/12 text-center font-poppins"
            data-aos="fade-down"
            data-aos-delay="100"
          >
            Get Benefit & Advatages about digital Services
          </h3>
        </div>

        <div class="flex justify-center mt-16">
          <p
            class="text-gray-500 text-center px-3 lg:w-6/12 lg:px-0"
            data-aos="fade-down"
            data-aos-delay="200"
          >
            We provide high quality of services. We believe that all of creative
            idea will make some future. Make our client want is become our motto
          </p>
        </div>

        <!-- content card -->
        <div class="flex justify-center">
          <div
            class="flex flex-col lg:grid lg:grid-cols-3 lg:w-7/12 mt-12 gap-4 w-10/12"
          >
            <div class="anima" data-aos="slide-up" data-aos-delay="400">
              <div
                class="card bg-white border border-gray-200 p-4 rounded-2xl justify-center flex flex-col transition-all duration-500 hover:transform hover:-translate-y-4 hover:-rotate-6"
              >
                <!-- image illustration -->
                <div class="illus flex justify-center mt-2">
                  <img src="~/assets/images/illus-dev.svg" alt="" class="" />
                </div>

                <div class="flex justify-center mt-8">
                  <h2 class="text-base font-semibold text-center">
                    Software Development
                  </h2>
                </div>

                <div class="flex action justify-end mt-12">
                  <a href="#" class="text-extreme-red font-medium">read more</a>
                </div>
              </div>
            </div>
            <div class="anima" data-aos="slide-up" data-aos-delay="600">
              <div
                class="card bg-white border border-gray-200 p-4 rounded-2xl justify-center flex flex-col transition-all duration-500 hover:transform hover:-translate-y-4 hover:-rotate-6"
              >
                <!-- image illustration -->
                <div class="illus flex justify-center mt-2">
                  <img
                    src="~/assets/images/illus-design-system.svg"
                    alt=""
                    class=""
                  />
                </div>

                <div class="flex justify-center mt-8">
                  <h2 class="text-base font-semibold text-center">
                    Design System
                  </h2>
                </div>

                <div class="flex action justify-end mt-12">
                  <a href="#" class="text-extreme-red font-medium">read more</a>
                </div>
              </div>
            </div>
            <div class="anima" data-aos="slide-up" data-aos-delay="800">
              <div
                class="card bg-white border border-gray-200 p-4 rounded-2xl justify-center flex flex-col transition-all duration-500 hover:transform hover:-translate-y-4 hover:-rotate-6"
              >
                <!-- image illustration -->
                <div class="illus flex justify-center mt-2">
                  <img src="~/assets/images/illus-seo.svg" alt="" class="" />
                </div>

                <div class="flex justify-center mt-8">
                  <h2 class="text-base font-semibold text-center">SEO</h2>
                </div>

                <div class="flex action justify-end mt-12">
                  <a href="#" class="text-extreme-red font-medium">read more</a>
                </div>
              </div>
            </div>
          </div>
        </div>

        <!-- action -->
        <div
          class="flex justify-center mt-8"
          data-aos="fade-down"
          data-aos-delay="1000"
        >
          <button
            class="btn text-white bg-dive-blue transition-all duration-500 hover:transform hover:-translate-y-4"
          >
            See more
          </button>
        </div>
      </div>

      <!-- section three -->
      <div class="section-three flex justify-center mt-20 lg:mt-56 space-x-5">
        <div class="illus w-6/12 hidden lg:flex">
          <img
            src="~/assets/images/illustration-collabs.svg"
            alt=""
            data-aos="slide-right"
            data-aos-delay="100"
          />
        </div>
        <div class="des lg:w-4/12 flex flex-col px-2 lg:px-0">
          <!-- badge -->
          <div class="flex">
            <span
              class="badge bg-cyan-200 text-cyan-500"
              data-aos="slide-left"
              data-aos-delay="200"
              >Process</span
            >
          </div>

          <div class="flex mt-6">
            <h2
              class="font-bold font-poppins text-2xl lg:text-4xl max-w-md"
              data-aos="slide-left"
              data-aos-delay="300"
            >
              How we solve the problem ?
            </h2>
          </div>

          <div class="flex mt-8">
            <p class="text-gray-500" data-aos="slide-left" data-aos-delay="400">
              We prepare everything for a quality product and service. We work
              professionally and generate creative ideas together and combine
              each client's ideas and research. Creating something good takes
              commitment and creativity
            </p>
          </div>

          <div class="flex mt-6" data-aos="fade-up" data-aos-delay="500">
            <button
              class="btn text-orange-500 bg-orange-200 transition-all duration-500 hover:transform hover:-translate-x-4"
            >
              Know More
            </button>
          </div>
        </div>
      </div>

      <!-- section four -->
      <div
        class="section section-four justify-center flex mt-0 lg:mt-56 space-x-6"
      >
        <div
          class="flex flex-col lg:w-5/12 pt-20 px-2 lg:px-0"
          data-aos="slide-right"
          data-aos-delay="100"
        >
          <div class="flex">
            <h2 class="font-poppins text-2xl lg:text-4xl font-bold">
              Why choose us ?
            </h2>
          </div>

          <div class="flex mt-6">
            <p class="text-gray-500">
              We always try new things, provide the best service and maximum
              communication. Realizing your dreams is the most important, but
              creativity and a mix of ideas is best
            </p>
          </div>

          <div class="flex mt-8 flex-col feature-list ml-6 space-y-4">
            <div class="flex">
              <div class="dot bg-orange-500 w-5 h-5 rounded-full"></div>
              <span class="font-semibold ml-4">Realtime Feedback</span>
            </div>
            <div class="flex">
              <div class="dot bg-shine-blue w-5 h-5 rounded-full"></div>
              <span class="font-semibold ml-4">Collaboration feature</span>
            </div>
            <div class="flex">
              <div class="dot bg-dive-blue w-5 h-5 rounded-full"></div>
              <span class="font-semibold ml-4">24/7 support</span>
            </div>
          </div>
        </div>

        <div class="illus w-6/12 hidden lg:flex" data-aos="slide-left">
          <img src="~/assets/images/illustration-apps.svg" alt="" />
        </div>
      </div>

      <!-- section five -->
      <div
        class="flex flex-col justify-center p-8 mt-0 lg:mt-56 mb-20"
        data-aos="slide-up"
        data-aos-delay="100"
      >
        <div class="flex justify-center mt-20">
          <h3 class="font-poppins font-bold text-2xl lg:text-4xl text-center">
            Now let’s talk about your dream
          </h3>
        </div>
        <div class="flex justify-center mt-6">
          <p class="text-gray-500 text-center lg:w-4/12">
            Bring your dream become reality and more interesting to our life.
            What you waiting for ?
          </p>
        </div>

        <div class="flex mt-6 justify-center">
          <button
            class="btn bg-dive-blue text-white transition-all duration-500 hover:transform hover:-translate-y-4"
          >
            Get Started
          </button>
        </div>
      </div>
    </div>
  </div>
</template>